@echo off
REM Verifica se a pasta "CONVERTIDO" já existe. Se não, cria a pasta.
if not exist "CONVERTIDO" (
    mkdir "CONVERTIDO"
)

REM Loop para processar todos os arquivos .asf no diretório atual
for %%f in (*.asf) do (
    setlocal enabledelayedexpansion
    
    REM Obtém o nome do arquivo sem a extensão .asf
    set filename=%%~nf
    
    REM Converte o arquivo .asf para .wav
    sx.exe -wave "%%f" -=!filename!.wav
    
    REM Move o arquivo .wav para a pasta "CONVERTIDO"
    move "!filename!.wav" "CONVERTIDO"
    
    REM Exclui o arquivo .asf original
    del "%%f"
    
    endlocal
)

echo Conversão concluída! Todos os arquivos .wav foram movidos para a pasta "CONVERTED FOR GAME" e os arquivos .asf foram excluídos.
pause
